Bug 1710933 - Invalid DocumentLocator object passed to
Summary: Invalid DocumentLocator object passed to
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-XML-SAX
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-16 15:24 UTC by bug.report.tracker
Modified: 2020-05-26 15:20 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 15:20:16 UTC
Type: Bug


Attachments (Terms of Use)
perl XML::SAX::DocumentLocator test (394 bytes, application/x-perl)
2019-05-16 15:24 UTC, bug.report.tracker
no flags Details
trace (7.71 KB, text/plain)
2019-05-17 14:25 UTC, bug.report.tracker
no flags Details
/usr/share/perl5/vendor_perl/XML/SAX/ParserDetails.ini (200 bytes, text/plain)
2019-05-17 14:27 UTC, bug.report.tracker
no flags Details

Description bug.report.tracker 2019-05-16 15:24:52 UTC
Created attachment 1569596 [details]
perl XML::SAX::DocumentLocator test

Description of problem:
When parsing XLM data, set_document_locator is passed an empty hash instead of DocumentLocator object.

Version-Release number of selected component (if applicable):
perl-XML-SAX-Base-1.09-7.fc30.noarch
perl-XML-SAX-1.00-4.fc30.noarch

How reproducible:
Always


Steps to Reproduce:
1. Run the attached test.


Actual results:
Test prints: $VAR2 = {};

Expected results:
A valid DocumentLocator object printed:
$VAR2 = bless( {
                 'ColumnNumber' => 0,
                 'Encoding' => undef,
                 'XMLVersion' => undef,
                 'LineNumber' => 1,
                 'SystemId' => undef,
                 'PublicId' => undef
               }, 'XML::SAX::DocumentLocator' );

Additional info:
Test works on https://f.perl.bot/

Comment 1 Petr Pisar 2019-05-17 09:22:28 UTC
It works for me. These are all the RPM package whose files are used when running the program:

glibc-2.29-12.fc30.x86_64
glibc-common-2.29-12.fc30.x86_64
glibc-langpack-en-2.29-12.fc30.x86_64
libxcrypt-4.4.6-1.fc30.x86_64
perl-Carp-1.50-418.fc30.noarch
perl-constant-1.33-419.fc30.noarch
perl-Data-Dumper-2.173-3.fc30.x86_64
perl-Encode-3.01-10.fc30.x86_64
perl-Errno-1.29-436.fc30.x86_64
perl-Exporter-5.73-419.fc30.noarch
perl-File-Path-2.16-2.fc30.noarch
perl-File-Temp-0.230.900-2.fc30.noarch
perl-interpreter-5.28.2-436.fc30.x86_64
perl-IO-1.39-436.fc30.x86_64
perl-libs-5.28.2-436.fc30.x86_64
perl-parent-0.237-3.fc30.noarch
perl-PathTools-3.75-2.fc30.x86_64
perl-Scalar-List-Utils-1.50-418.fc30.x86_64
perl-Storable-3.15-1.fc30.x86_64
perl-XML-NamespaceSupport-1.12-7.fc30.noarch
perl-XML-SAX-1.00-4.fc30.noarch
perl-XML-SAX-Base-1.09-7.fc30.noarch

Does some of them differ from your?

What's the content of /usr/share/perl5/vendor_perl/XML/SAX/ParserDetails.ini configuration file? I have:

[XML::SAX::PurePerl]
http://xml.org/sax/features/namespaces = 1

Are you sure that you are not using some Perl modules not provided by Fedora? E.g. installed with a CPAN client? You can use "strace" to verify what files are used (strace -e open,openat -o /tmp/trace -- /usr/bin/perl -wCSDA testSAX.pl).

Comment 2 bug.report.tracker 2019-05-17 14:25:11 UTC
Created attachment 1570149 [details]
trace

This is the result of strace command. I don't use any cpan modules installed, just the latest ones provided by Fedora. The versions match yours.

Comment 3 bug.report.tracker 2019-05-17 14:27:23 UTC
Created attachment 1570151 [details]
/usr/share/perl5/vendor_perl/XML/SAX/ParserDetails.ini

I've also tried to mess with the namespace settings here with no luck.

Thanks,
V.

Comment 4 Petr Pisar 2019-05-17 15:11:41 UTC
The trace shows you have installed perl-XML-LibXML RPM package. After installing the package, I can reproduce the problem. It looks like an issue in integration between XML::LibXML::SAX::Parser and XML::SAX::Base.

Comment 5 Ben Cotton 2020-04-30 21:59:07 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2020-05-26 15:20:16 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.